Subject: [rbridge] ????: ????: rbridge for ipv6 ?

From: Vishwas at sinett.com (Vishwas Manral)
Date: Mon, 19 Sep 2005 21:48:18 -0700

Hi Yiou,

> I think running a routing protocol like IS-IS is a big burden for
> lan switches.
Are you talking about CPU/ Memory or both?

Routing protocols (IS-IS/ OSPF) have an inbuilt hierarchy, that way we can run the networks as different areas, thus not overburdening certain Rbridges. Besides STP/ RSTP/ MSTP already run in the switching domain, which would probably be replaced by the RP.

Thanks,
Vishwas
-----Original Message-----
From: rbridge-bounces at postel.org [mailto:rbridge-bounces at postel.org] On Behalf Of Joe Touch
Sent: Tuesday, September 20, 2005 9:38 AM
To: Developing a hybrid router/bridge.
Subject: Re: [rbridge] ????: ????: rbridge for ipv6 ?

Yiou Deng wrote:
> ??Hi Vishwas,
> ??Thanks a lot for your information. It's helpful for me to understand
> more about rbridge. 
> ??Another doubt for me is that, will protocols other than ROUTING
> PROTOCOLS be considered to use in rbridge? I think running a routing
> protocol like IS-IS is a big burden for lan switches. Yes, we can say
> that rbridge campus is a layer-2 CORE network and switches in it are all
> middle-end or high-end switches which can afford to run IS-IS. But as
> the network expands, or the application requirement changes, more
> switches may be added into rbridge campus. For example, if end to end TE
> tunnels are to be established over L2 network, not only switches in the
> core network, but also the ones in the access layer, will be required to
> run routing protocol like IS-IS.
> ??Is there any consideration for this issue in rbridge?

Tunnels over L2 through an rbridge campus see the campus as a single L2
device (a single bridge), and thus would not need to participate in
IS-IS since they are outside the campus.

Additional devices can be added to an rbridge'd network either by adding
bridges outside the rbridge, by expanding the rbridge campus, or by
adding a separate rbridge campus. The first option does not require
IS-IS devices.

Joe

> ??Thanks & Regards,
> ??Yiou
> ??-----????-----
> ???: rbridge-bounces at postel.org [mailto:rbridge-bounces at postel.org]
> ?? Vishwas Manral
> ????: 2005?9?19? 12:27
> ???: Developing a hybrid router/bridge.
> ??: Re: [rbridge] ????: ????: rbridge for ipv6 ?
> ??
> ??Hi Yiou,
> ??
> ??I am not sure if IS-IS is the preferred protocol (I guess we are
> some distance from finalizing a protocol), however one advantage of
> IS-IS is that it uses TLV based reachability information and hence is
> independent of the protocol for which it carries information (It was
> initially used for the OSI stack and later extended to work for TCP/IP).
> ??
> ??Besides IS-IS already works over Layer-2.
> ??
> ??Thanks,
> ??Vishwas
> ??-----Original Message-----
> ??From: rbridge-bounces at postel.org [mailto:rbridge-bounces at postel.org]
> On Behalf Of Yiou Deng
> ??Sent: Monday, September 19, 2005 9:33 AM
> ??To: 'Developing a hybrid router/bridge.'
> ??Subject: [rbridge] ????: ????: rbridge for ipv6 ?
> ??
> ????Hi Ganesh,
> ????I mean that ANY of the routing protocols can be used for rbridge
> ??reachability. I'm new for this mailing list and know little about
> why
> ??ISIS is preferred for rbridge. Will anyone be kind enough to explain
> ??this for me? Thanks in advance.
> ????
> ????Regards,
> ????Yiou
> ????-----????-----
> ?????: rbridge-bounces at postel.org
> [mailto:rbridge-bounces at postel.org]
> ???? Ganesh CS
> ??????: 2005?9?14? 22:45
> ?????: Developing a hybrid router/bridge.
> ????: Re: [rbridge] ????: rbridge for ipv6 ?
> ????
> ????Hi Yiou,
> ????Do you mean that still routing protocols other than IS-IS
> routing
> ??are
> ????required just for rbrige reachability ?
> ????
> ????regs
> ????Ganesh
> ????
> ????Yiou Deng wrote:
> ????
> ????>??Hello!!
> ????>??Rbridge network is just like a L2VPN network formed by IP
> or
> ??MPLS,
> ????>the only use of routing protocols in Rbridge is to ensure the
> ????>connectivity of Rbridge network internally. 
> ????>??
> ????>??Maybe we can talk face to face at Kuike building if any
> doubts
> ??still
> ????>there :-)
> ????>??
> ????>??Yiou
> ????>??-----????-----
> ????>???: rbridge-bounces at postel.org
> ??[mailto:rbridge-bounces at postel.org]
> ????>?? Yang Yang
> ????>????: 2005?9?14? 0:36
> ????>???: 'Developing a hybrid router/bridge.'
> ????>??: Re: [rbridge] rbridge for ipv6 ?
> ????>??
> ????>??Hi,
> ????>??   Rbridge forwards frames based on L2 address in data
> plane.
> ??But it
> ????>uses
> ????>??routing protocols which may operate at L3 in control plane.
> If
> ??L3
> ????>address is
> ????>??used, is Rbridge a L2 device? And I think IPv4 and IPv6
> should
> ??both
> ????>be
> ????>??supported.
> ????>??   Still now, I am not sure whether the routing protocol
> can
> ??use MAC
> ????>address
> ????>??via adding a new TLV in IS-IS.
> ????>??
> ????>??   Best Regards!
> ????>??    Yang Yang
> ????>??
> ????>??-----Original Message-----
> ????>??From: rbridge-bounces at postel.org
> ??[mailto:rbridge-bounces at postel.org]
> ????>On
> ????>??Behalf Of Joe Touch
> ????>??Sent: Wednesday, September 14, 2005 12:01 AM
> ????>??To: Developing a hybrid router/bridge.
> ????>??Subject: Re: [rbridge] rbridge for ipv6 ?
> ????>??
> ????>??Rbridge is an L2 device; at the ingress, it should be
> capable
> ??of
> ????>peeking
> ????>??into various packets for optimization like other L2
> systems, e.
> ??g.,
> ????>for
> ????>??multicast. This includes IPv4 and IPv6, but these are just
> ????>optimizations
> ????>??- if not implemented, it should not affect correct
> operation.
> ????>??
> ????>??Joe
> ????>??
> ????>??Ganesh CS wrote:
> ????>??> Hi all,
> ????>??> Is rbridge for ipv6 under consideration ?
> ????>??> 
> ????>??> Ganesh
> ????>??> _______________________________________________
> ????>??> 
> ??
> ??_______________________________________________
> ??rbridge mailing list
> ??rbridge at postel.org
> ??http://www.postel.org/mailman/listinfo/rbridge
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org
> http://www.postel.org/mailman/listinfo/rbridge